package com.lightinit.hsdatashow.mapper;

import com.lightinit.hsdatashow.entity.WaterStorageAggregate;
import com.lightinit.hsdatashow.entity.WaterStorageAggregateExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface WaterStorageAggregateMapper {
    long countByExample(WaterStorageAggregateExample example);

    int deleteByExample(WaterStorageAggregateExample example);

    int deleteByPrimaryKey(Long id);

    int insert(WaterStorageAggregate record);

    int insertSelective(WaterStorageAggregate record);

    List<WaterStorageAggregate> selectByExample(WaterStorageAggregateExample example);

    WaterStorageAggregate selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") WaterStorageAggregate record, @Param("example") WaterStorageAggregateExample example);

    int updateByExample(@Param("record") WaterStorageAggregate record, @Param("example") WaterStorageAggregateExample example);

    int updateByPrimaryKeySelective(WaterStorageAggregate record);

    int updateByPrimaryKey(WaterStorageAggregate record);

    List<WaterStorageAggregate> getWaterStorageAggregate();

    List<WaterStorageAggregate> getChangeWaterStorageAggregate(int year);
}